org.apache.ignite.internal.portable

## Interface PortablePositionReadable

All Known Subinterfaces:
  PlatformInputStream, PortableInputStream

All Known Implementing Classes:
  PlatformBigEndianInputStreamImpl, PlatformInputStreamImpl, PortableAbstractInputStream, PortableBuilderReader, PortableHeapInputStream, PortableOffheapInputStream

    public interface PortablePositionReadable

Interface allowing for positioned read.

### Method Summary

Methods
`byte` `readBytePositioned(int pos)` Read byte at the given position.
`int` `readIntPositioned(int pos)` Read integer at the given position.
`short` `readShortPositioned(int pos)` Read short at the given position.

### Method Detail

#### readBytePositioned

    byte readBytePositioned(int pos)

Read byte at the given position.

Parameters:
  `pos` - Position.
Returns:
  Value.

#### readShortPositioned

    short readShortPositioned(int pos)

Read short at the given position.

Parameters:
  `pos` - Position.
Returns:
  Value.

#### readIntPositioned

    int readIntPositioned(int pos)

Read integer at the given position.

Parameters:
  `pos` - Position.
Returns:
  Value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015